Company logoTrust Center Documentation
API v1 ReferenceDocumentsId

Update document metadata

Update document metadata including title, description, category, access level, and validity information. File updates must be done separately.

PATCH
/api/v1/documents/{id}

Update document metadata including title, description, category, access level, and validity information. File updates must be done separately.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/documents/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{    "title": "Updated Privacy Policy",    "description": "Revised company privacy policy for 2025"  }'
{  "success": true,  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "title": "string",    "slug": "string",    "description": "string",    "description_markdown": "string",    "category": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "icon": "string",      "translations": [        {          "locale": "string",          "title": "string",          "description": "string"        }      ]    },    "access_level": "public",    "status": "draft",    "issue_date": "2019-08-24",    "expiry_date": "2019-08-24",    "validity_months": 1,    "featured": {      "control": false,      "resource": false    },    "show_validity_period_on_card": true,    "file": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "filename_download": "string",      "filesize": 0,      "type": "string",      "title": "string",      "url": "http://example.com"    },    "date_created": "2019-08-24T14:15:22Z",    "date_updated": "2019-08-24T14:15:22Z",    "versioning": true,    "_version": {      "id": "string",      "key": "string",      "name": "string",      "status": "draft",      "is_active": true,      "date_created": "2019-08-24T14:15:22Z",      "date_updated": "2019-08-24T14:15:22Z"    },    "publishedVersions": [      {        "id": "string",        "name": "string",        "status": "draft",        "is_active": true,        "date_created": "2019-08-24T14:15:22Z",        "date_updated": "2019-08-24T14:15:22Z"      }    ],    "activeVersionId": "string",    "defaultVersionId": "string",    "defaultVersionName": "string"  }}

How is this guide?